# SpigotSerialzableCompanion

interface SpigotSerialzableCompanion<T>
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard

## Inheritors

SerializableLocation
Link copied to clipboard
SerializableVector
Link copied to clipboard

## Extensions

deserialize
Link copied to clipboard
inline fun <T> SpigotSerialzableCompanion<T>.deserialize(json: String): T
Content copied to clipboard
Deserializes the given json string and returns the deserialized object.